stages:
  - build

build_production:
  stage: build
  image: python:latest
  script:
    - apt-get update
    - apt-get install -y zip unzip 
    - apt-get update && apt-get install -y apt-transport-https gnupg2 curl
    - curl -s https://packages.cloud.google.com/apt/doc/apt-key.gpg | apt-key add -
    - echo "deb https://apt.kubernetes.io/ kubernetes-xenial main" | tee /etc/apt/sources.list.d/kubernetes.list
    - apt-get update && apt-get install -y kubectl && apt-get clean
    - pip install --upgrade pip
    - pip install awscli
    - aws --version
    - kubectl version --client 
    - mkdir ~/.aws || true
    - echo "$ENVPROD" > .env
    - echo "$CREDENTIALAWS" > credentials
    - echo "$CONFIGAWS" > config
    - cp config ~/.aws && cp credentials ~/.aws
    - aws eks --region us-east-1 update-kubeconfig --name inchcape-cluster --alias inchcape-clusterD
    - aws ec2 describe-instances 
    - kubectl get nodes  
 #   - rm -rf $CI_PROJECT_NAME || true &&  mkdir -p $CI_PROJECT_NAME || true && touch $CI_PROJECT_NAME/$NOMBRE_LOG || true
 #   - echo "#####Construyendo la imagen para Producción#####"
 #   - docker buildx build --no-cache=true --tag $AWS_REPOSITORY:${TAG_REPO_AWS} .
 #   - aws ecr get-login-password --region $REGION | docker login --username AWS --password-stdin 789317478220.dkr.ecr.us-east-1.amazonaws.com   
 #   - echo "#####Subiendo la imagen a Docker Hub#####"
 #   - docker push $AWS_REPOSITORY:${TAG_REPO_AWS}
  only:
    - main